﻿using System;

namespace GlobalCF
{
	public static class RSR2_MAV_2_Group_Helper
	{
		public static GKDriver Create()
		{
			var driver = new GKDriver
			{
				DriverType = GKDriverType.RSR2_MAV_2,
				UID = new Guid("8645D1C1-0D1F-4FDF-BB0F-A9C4B19039DB"),
				Name = "Метка адресная выключаемая групповая",
				ShortName = "МАВ2",
				IsGroupDevice = true,
				GroupDeviceChildType = GKDriverType.RSR2_MAV_1,
				GroupDeviceChildrenCount = 2,
				DriverClassification = GKDriver.DriverClassifications.Other
			};
			return driver;
		}
	}
}