﻿using System;

namespace GlobalCF
{
	public static class RSR2_MAV_4_Group_Helper
	{
		public static GKDriver Create()
		{
			var driver = new GKDriver
			{
				DriverType = GKDriverType.RSR2_MAV_4,
				UID = new Guid("BD678122-3965-4B9A-BD14-8266FA8DECB9"),
				Name = "Метка адресная выключаемая групповая",
				ShortName = "МАВ4",
				IsGroupDevice = true,
				GroupDeviceChildType = GKDriverType.RSR2_MAV_1,
				GroupDeviceChildrenCount = 4,
				DriverClassification = GKDriver.DriverClassifications.Other
			};
			return driver;
		}
	}
}