﻿using System;
using System.Globalization;
using System.Windows;
using System.Windows.Data;
using System.Windows.Markup;

namespace Converters
{
	public class CanExpandConverter : MarkupExtension, IValueConverter
	{
		static CanExpandConverter _converter = null;
		public override object ProvideValue(IServiceProvider serviceProvider)
		{
			if (_converter == null)
			{
				_converter = new CanExpandConverter();
			}
			return _converter;
		}
		public object Convert(object obj, Type type, object parameter, CultureInfo culture)
		{
			return (bool)obj ? Visibility.Visible : Visibility.Hidden;
		}

		public object ConvertBack(object obj, Type type, object parameter, CultureInfo culture)
		{
			throw new NotSupportedException();
		}

	}
}
