﻿using System;

namespace GlobalCF
{
	public static class ReserveSystem_Helper
	{
		public static GKDriver Create()
		{
			var driver = new GKDriver()
			{
				DriverType = GKDriverType.ReserveSystem,
				UID = new Guid("7AA244A1-BF4C-4B4B-85C7-D9E53DF3071A"),
				Name = "Резервная система групповых контроллеров",
				ShortName = "РСГК",
				IsDeviceOnShleif = false,
				CanEditAddress = true,
				HasAddress = true,
				MinAddress = 1,
				MaxAddress = 127,
				IsReal = false
			};
			driver.Children.Add(GKDriverType.RSR2_KAU);
			driver.Children.Add(GKDriverType.GKMirror);
			return driver;
		}
	}
}