﻿using System;

namespace GlobalCF
{
	class RSR2_SCOPA_SZ_Group_Helper
	{
		public static GKDriver Create()
		{
			var driver = new GKDriver()
			{
				DriverType = GKDriverType.RSR2_SCOPA_SZ,
				UID = new Guid("6AC0BEEE-19E7-4AAE-A107-6D52CF87EAD9"),
				Name = "Оповещатель взрывозащищенный светозвуковой",
				ShortName = "СКОПА-З",
				GroupDeviceChildrenCount = 2,
				IsGroupDevice = true,
				DriverClassification = GKDriver.DriverClassifications.ExplosionProtection
			};
			driver.AutoCreateChildren.Add(GKDriverType.RSR2_SCOPA_S);
			driver.AutoCreateChildren.Add(GKDriverType.RSR2_SCOPA_Z);
			return driver;
		}
	}
}